import { $postParam, $post } from "@/plugins/axios";

export const questionTeatherUserQuery = ({ courseCode, param }) => {
  return $postParam("/api/admin/sys/user/user_list", { courseCode, param });
};
export const unitQueryByType = (datas, dictionaryEnum) => {
  // dictionaryEnum: SEMESTER("学期"),COLLEGE("学院"),MAJOR("专业"),CLAZZ("班级"),STUDENT("学生")
  return $postParam("/api/admin/common/get_dictionary", {
    ...datas,
    dictionaryEnum
  });
};
export const enumsByType = type => {
  // type: PUSH_TYPE_ENUM("同步类型"),
  return $postParam("/api/admin/common/get_enums", {
    type
  });
};

// exam-manage
export const examQuery = datas => {
  return $postParam("/api/admin/basic/exam/query", datas);
};

// user --------------------------------->
// user-manage
export const userListPage = datas => {
  return $postParam("/api/admin/sys/user/list", datas);
};
export const updateUser = datas => {
  return $post("/api/admin/sys/user/save", datas);
};
export const ableUser = ({ id, enable }) => {
  return $post("/api/admin/sys/user/enable", { id, enable });
};
export const resetPwd = id => {
  return $post("/api/admin/sys/user/reset_password", { id });
};
export const updatePwd = datas => {
  return $post("/api/admin/sys/user/update_password", datas);
};
export const userBindRoles = ({ id, roleIds }) => {
  return $post("/api/admin/sys/user/bind_roles", { id, roleIds });
};
export const userRoleListPage = () => {
  return $postParam("/api/admin/sys/role/list_to_user", {});
};
export const syncUserToEcs = () => {
  return $postParam("/api/admin/sys/user/push", {});
};
export const roleUserTree = () => {
  return $postParam("/api/admin/sys/user/org-tree", {});
};

// role-manage
export const roleListPage = datas => {
  return $postParam("/api/admin/sys/role/list", datas);
};
export const ableRole = ({ id, enable }) => {
  return $post("/api/admin/sys/role/enable", { id, enable });
};
export const updateRole = datas => {
  return $post("/api/admin/sys/role/save", datas);
};
export const deleteRole = id => {
  return $postParam("/api/admin/sys/role/remove", { id });
};
export const userBoundRoles = userId => {
  return $postParam("/api/admin/sys/role/get_user_roles", { userId });
};
// role-user-manage
export const roleGroupList = datas => {
  return $postParam("/api/admin/sys/role/group/list", datas);
};
export const updateRoleGroup = datas => {
  return $post("/api/admin/sys/role/group/save", datas);
};
// menu-manage
export const menuAuthList = datas => {
  return $postParam("/api/admin/sys/privilege/list_auth", datas);
};
export const privilegeList = datas => {
  return $postParam("/api/admin/sys/privilege/list", datas);
};
export const roleBoundPrivileges = roleId => {
  return $postParam("/api/admin/sys/privilege/get_role_privileges", { roleId });
};
// organization-manage
export const organizationList = datas => {
  return $postParam("/api/admin/sys/org/list", datas);
};
export const organizationFindByTypeList = datas => {
  return $postParam("/api/admin/sys/org/find_by_type", datas);
};
export const updateOrganization = datas => {
  return $post("/api/admin/sys/org/save", datas);
};
export const ableOrganization = ({ id, enable }) => {
  return $post("/api/admin/sys/org/enable", { id, enable });
};
export const deleteOrganization = id => {
  return $post("/api/admin/sys/org/remove", { id });
};

// setting --------------------------------->
// time-task
export const timeTaskList = datas => {
  return $postParam("/api/admin/sys/org/list", datas);
};
export const updateTimeTask = datas => {
  return $post("/api/admin/sys/org/save", datas);
};
export const ableTimeTask = ({ id, enable }) => {
  return $post("/api/admin/sys/org/enable", { id, enable });
};

// business-data
export const businessDataList = datas => {
  return $postParam("/api/admin/sys/org/list", datas);
};
export const downloadBusinessData = datas => {
  return $postParam("/api/admin/sys/org/list", datas);
};
// download-manage
export const downloadList = datas => {
  return $postParam("/api/admin/sys/org/list", datas);
};
export const signPurpose = datas => {
  return $postParam("/api/admin/sys/org/list", datas);
};

// common
export const uploadFile = datas => {
  return $post("/api/admin/common/file/upload", datas);
};
export const getCode = type => {
  return $postParam("/api/admin/common/get_code", { type });
};
